Subject: Re: [PATCH kernel 2.6.32-rc5] pcnet_cs: add cis of PreMax PE-200 ethernet pcmcia card

From: Ben Hutchings <[email-masked]>
Date: Fri, 05 Mar 2010 00:02:21 +0000

On Sun, 2009-10-25 at 11:10 +0900, Ken Kawasaki wrote:
> Hi,
> 
> >> > Random question: are CIS files copyrightable?  
> >> 
> >> The CIS contains the IRQ, ioport-range, voltage information etc
> >> like the PCI config space.
> >> So I think it is not copyrightable.
> >> but Sierra Wireless provided this CIS by GPL.
> >[...]
> 
> >If it is subject to copyright - which apparently they think it is - then
> >when redistributing under GPL we must be able to provide the 'preferred
> >form for modification'.  So that leads to the question, is this blob or
> >hex file the preferred form?
> 
> 
> (1)The CIS contains data only,
>     does not contain the code to be executed.
> (2)Sierra Wireless provided the binary of the CIS only.
> (3)These CIS are stable and does not need to be modified.
> (3)The content of the CIS can be seen by the dump_cis utility.
> 
> So if someone want to modify the CIS , I think it is OK
> to use hex editor.

The CIS files under firmware/ are, according to firmware/WHENCE,
'developed by the pcmcia-cs project'.  So I had a look at what's left of
the pcmcia-cs project and its last release, and found that it includes:

- the tool 'pack_cis' which compiles a text version of CIS to the
  standard binary format
- text versions of most of the CIS files

Since the text versions contain comments which are excluded from the
binary format, I believe they should be considered the 'preferred form
for modification' and included in the linux-2.6 and linux-firmware trees
along with the binaries.

Ben.

-- 
Ben Hutchings
Q.  Which is the greater problem in the world today, ignorance or apathy?
A.  I don't know and I couldn't care less.